# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'synk/version'

Gem::Specification.new do |spec|
  spec.name          = 'synk'
  spec.version       = Synk::VERSION
  spec.authors       = ['Ryan Burmeister-Morrison']
  spec.email         = ['rburmeistermorrison@gmail.com']

  spec.summary       = 'A markup language that flows.'
  spec.description   = 'Synk is still in development. This is a placeholder' \
                       ' gem.'
  spec.homepage      = 'https://github.com/rburmorrison/synk'
  spec.license       = 'MIT'

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/rburmorrison/synk'

  # Specify which files should be added to the gem when it is released. The `git
  # ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/})
    end
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rubocop', '~> 0.77'
  spec.add_development_dependency 'yard', '~> 0.9'
end
